Skip to content
Navigation

Create identifier

POST
https://api.sureshake.com/v2/entities/{entityId}/identifiers

Path parameters

  • entityId
    string
    required
    format: uuid

Request body JSON required

  • identifierType
    EIN
    or
    DUNS
    or
    CAGE
    or
    NAICS
    or
    SIC
    or
    LEI
    +4 more
    required
  • identifierValue
    string
    required
    minLength: 1
  • identifierCountry
    optional
    string
    maxLength: 2 · minLength: 2 · default: "US"
  • identifierState
    optional
    string
  • isPrimary
    optional
    boolean
    default: false
  • notes
    optional
    string

Returns

200

Default Response

JSON
  • data
    object
    required
    • id
      string
      required
      format: uuid
    • entityId
      string
      required
      format: uuid
    • identifierType
      EIN
      or
      DUNS
      or
      CAGE
      or
      NAICS
      or
      SIC
      or
      LEI
      +4 more
      required
    • identifierValue
      string
      required
    • identifierCountry
      string
      or null
      required
    • identifierState
      string
      or null
      required
    • isPrimary
      boolean
      or null
      required
    • verified
      boolean
      or null
      required
    • verifiedAt
      string
      or null
      required
      format: date-time
    • verifiedBy
      string
      or null
      required
    • verificationMethod
      string
      or null
      required
    • verificationSource
      string
      or null
      required
    • confidenceScore
      string
      or null
      required
    • dataSource
      string
      or null
      required
    • notes
      string
      or null
      required
    • createdAt
      string
      required
      format: date-time
    • updatedAt
      string
      required
      format: date-time
  • meta
    optional
    object
    • timestamp
      string
      required
      format: date-time

400

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

401

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

403

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

404

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

409

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

500

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

501

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

503

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

Type to search…

↑↓ navigate↵ selectEsc close